This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265425 - pcs is not parsing the output of crm_node properly
pcs is not parsing the output of crm_node properly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Chris Feist
cluster-qe@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 18:06 EDT by Chris Feist
Modified: 2015-11-19 04:38 EST (History)
5 users (show)

See Also:
Fixed In Version: pcs-0.9.143-11.el7
Doc Type: Bug Fix
Doc Text:
No docs needed for this bz.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:38:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for bug (520 bytes, patch)
2015-09-22 18:16 EDT, Chris Feist
no flags Details | Diff

  None (edit)
Description Chris Feist 2015-09-22 18:06:49 EDT
crm_node output has changed in the latest pacemaker build

[root@virt-144 ~]# crm_node -l
4 virt-145
1 virt-142
3 virt-144

The new build however shows this (including an offline node):

[root@virt-145 ~]# crm_node -l
3 virt-144 member
2 virt-143 lost
1 virt-142 member
4 virt-145 member

We just need to update pcs to split on " " without a limit of 1 split.

Then if there's a 3rd field and it's 'lost', we just ignore that line, otherwise we continue.
Comment 1 Chris Feist 2015-09-22 18:16:01 EDT
To test:

With new pacemaker, two hosts host-600, host-604 (600 is down).

Old pcs:
[root@host-604 pcs]# pcs status nodes pacemaker-id
1 host-600 lost
2 host-604 member

New pcs (with fix):
[root@host-604 pcs]# ./pcs status nodes pacemaker-id
2 host-604
Comment 2 Chris Feist 2015-09-22 18:16 EDT
Created attachment 1076049 [details]
Fix for bug
Comment 5 Chris Feist 2015-09-23 18:00:49 EDT
Before Fix:

[root@host-604 ~]# rpm -q pcs
pcs-0.9.143-9.el7.x86_64
[root@host-604 ~]# pcs status nodes pacemaker-id
1 host-600 lost
2 host-604 member
[root@host-604 ~]# pcs status | grep "WARNING: coro"
WARNING: corosync and pacemaker node names do not match (IPs used in setup?)


After Fix:
[root@host-604 ~]# rpm -q pcs
pcs-0.9.143-11.el7.x86_64
[root@host-604 ~]# pcs status nodes pacemaker-id
2 host-604
[root@host-604 ~]# pcs status | grep "WARNING: coro"
[root@host-604 ~]#
Comment 9 errata-xmlrpc 2015-11-19 04:38:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html

Note You need to log in before you can comment on or make changes to this bug.